#
# Conditional build:
%bcond_without	python3		# Python 3.x bindings

Summary:	High-level API for the libsolv library
Summary(pl.UTF-8):	Wysokopoziomowe API dla biblioteki libsolv
Name:		hawkey
Version:	0.6.4
%define	gitrel	1
Release:	1
License:	LGPL v2.1+
Group:		Libraries
#Source0Download: https://github.com/rpm-software-management/hawkey/releases
Source0:	https://github.com/rpm-software-management/hawkey/archive/%{name}-%{version}-%{gitrel}.tar.gz
# Source0-md5:	abc0179de2cb162c170c1fce17ed7f50
URL:		https://github.com/rpm-software-management/hawkey
BuildRequires:	check-devel
BuildRequires:	cmake >= 2.4
BuildRequires:	expat-devel
BuildRequires:	libsolv-devel >= 0.6.5
BuildRequires:	python-devel >= 2
%{?with_python3:BuildRequires:	python3-devel >= 1:3.2}
BuildRequires:	rpm-devel
BuildRequires:	rpmbuild(macros) >= 1.612
BuildRequires:	sphinx-pdg
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel
Requires:	libsolv >= 0.6.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Hawkey is a library providing simplified C and Python API to libsolv.

%description -l pl.UTF-8
Hawkey to biblioteka udostępniająca uproszczone API dla języków C i
Python do biblioteki libsolv.

%package devel
Summary:	Header files for hawkey library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki hawkey
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libsolv-devel >= 0.6.5
Requires:	rpm-devel
Requires:	zlib-devel
Obsoletes:	hawkey-static

%description devel
Header files for hawkey library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki hawkey.

%package apidocs
Summary:	API documentation for hawkey library
Summary(pl.UTF-8):	Dokumentacja API biblioteki hawkey
Group:		Documentation
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
API documentation for hawkey library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki hawkey.

%package -n python-hawkey
Summary:	Python 2.x bindings for hawkey library
Summary(pl.UTF-8):	Wiązania Pythona 2.x do biblioteki hawkey
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description -n python-hawkey
Python 2.x bindings for hawkey library.

%description -n python-hawkey -l pl.UTF-8
Wiązania Pythona 2.x do biblioteki hawkey.

%package -n python-hawkey-test
Summary:	Test module for hawkey library
Summary(pl.UTF-8):	Moduł testowy dla biblioteki hawkey
Group:		Development/Libraries
Requires:	python-hawkey = %{version}-%{release}

%description -n python-hawkey-test
Test module for hawkey library.

%description -n python-hawkey-test -l pl.UTF-8
Moduł testowy dla biblioteki hawkey.

%package -n python3-hawkey
Summary:	Python 3.x bindings for hawkey library
Summary(pl.UTF-8):	Wiązania Pythona 3.x do biblioteki hawkey
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description -n python3-hawkey
Python 3.x bindings for hawkey library.

%description -n python3-hawkey -l pl.UTF-8
Wiązania Pythona 3.x do biblioteki hawkey.

%prep
%setup -q -n %{name}-%{name}-%{version}-%{gitrel}
: > cmake/modules/FindPythonInstDir.cmake

%build
install -d build %{?with_python3:build-py3}
cd build
%cmake .. \
	-DPYTHON_INSTALL_DIR=%{py_sitedir}

%{__make}
%{__make} doc

%if %{with python3}
cd ../build-py3
%cmake .. \
	-DPYTHON_INSTALL_DIR=%{py3_sitedir} \
	-DPYTHON_DESIRED=3

%{__make}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python3}
%{__make} -C build-py3/src/python install \
	DESTDIR=$RPM_BUILD_ROOT
%endif

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%py_comp $RPM_BUILD_ROOT%{py_sitedir}/hawkey
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}/hawkey
%py_postclean
%if %{with python3}
%py3_comp $RPM_BUILD_ROOT%{py3_sitedir}/hawkey
%py3_ocomp $RPM_BUILD_ROOT%{py3_sitedir}/hawkey
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README.rst
%attr(755,root,root) %{_libdir}/libhawkey.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libhawkey.so
%{_includedir}/hawkey
%{_pkgconfigdir}/hawkey.pc
%{_mandir}/man3/hawkey.3*

%files apidocs
%defattr(644,root,root,755)
%doc build/doc/{*.html,*.js,_static}

%files -n python-hawkey
%defattr(644,root,root,755)
%dir %{py_sitedir}/hawkey
%attr(755,root,root) %{py_sitedir}/hawkey/_hawkeymodule.so
%{py_sitedir}/hawkey/*.py[co]

%files -n python-hawkey-test
%defattr(644,root,root,755)
%dir %{py_sitedir}/hawkey/test
%{py_sitedir}/hawkey/test/*.py[co]
%attr(755,root,root) %{py_sitedir}/hawkey/test/_hawkey_testmodule.so

%if %{with python3}
%files -n python3-hawkey
%defattr(644,root,root,755)
%dir %{py3_sitedir}/hawkey
%attr(755,root,root) %{py3_sitedir}/hawkey/_hawkey.so
%{py3_sitedir}/hawkey/*.py
%{py3_sitedir}/hawkey/__pycache__
%endif
%changelog
* Sun Nov 19 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/hawkey.git;a=log;h=master

* Sun Nov 19 2017 Jakub Bogusz <qboosh@pld-linux.org> 6876cdf
- updated to 0.6.4-1

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> c7caf21
- python 3.6
- release 3 (by relup.sh)

* Mon Jun 27 2016 Jakub Bogusz <qboosh@pld-linux.org> 8d8f88a
- updated to 0.6.3-2

* Wed Apr 27 2016 Elan Ruusamäe <glen@delfi.ee> d2fd3c3
- noarch apidocs

* Sat Feb 20 2016 Jakub Bogusz <qboosh@pld-linux.org> 7ede716
- updated to 0.6.2[-1]

* Mon Nov 30 2015 Jacek Konieczny <jajcus@jajcus.net> ae6c607
- Fix python installation directory

* Mon Nov 30 2015 Jacek Konieczny <jajcus@jajcus.net> caaf861
- release 5 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> ef603bc
- release 4 (by relup.sh)

* Mon Sep 14 2015 Elan Ruusamäe <glen@delfi.ee> 0adf2f6
- python3 rebuild
- release 3 (by relup.sh)

* Sun Apr 12 2015 Jan Rękorajski <baggins@pld-linux.org> 7a6e667
- x32 rebuild
- release 2 (by relup.sh)

* Tue Mar 17 2015 Jakub Bogusz <qboosh@pld-linux.org> 98cfb3c
- updated to 0.5.3 (commented as build 0.5.3-2 in git; note: new soname)
- separated python-hawkey-test from -devel

* Sat Jan 31 2015 Elan Ruusamäe <glen@delfi.ee> 68d3ab5
- package python test files to -devel

* Tue Dec 23 2014 Jakub Bogusz <qboosh@pld-linux.org> b0d2e2a
- updated to 0.5.2

* Sun Nov 16 2014 Jakub Bogusz <qboosh@pld-linux.org> affad8a
- updated to 0.5.1 (note: new soname)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> cd3af78
- python 3.4
- release 2 (by relup.sh)

* Sat Jun 14 2014 Jakub Bogusz <qboosh@pld-linux.org> 1ed80bb
- versioned install time libsolv dependencies

* Sat Jun 14 2014 Elan Ruusamäe <glen@delfi.ee> 8fb9366
- up to 0.4.14

* Sun Nov 24 2013 Jakub Bogusz <qboosh@pld-linux.org> 9f59a81
- new

